<?php
/*
*	Tariff Editor for adafruit
*/
require('includes/application_top.php');

if(isset($_POST['update']) && is_array($_POST['update']))
{
	if($_POST['update'][0] == 'Update All')
	{
	  $pids = $db->Execute('select products_id from ' . TABLE_PRODUCTS);
	  while(!$pids->EOF)
	    {
		$pID = $pids->fields['products_id'];
		$updateOne = $db->Execute("UPDATE `".TABLE_PRODUCTS."` SET `products_tariff_country` = '". mysql_real_escape_string($_POST['products_tariff_country'.$pID]) ."', `products_customs` = '". mysql_real_escape_string($_POST['products_customs'.$pID]) ."', products_tariff = '". mysql_real_escape_string($_POST['products_tariff'.$pID]) ."'  WHERE `products_id` = " . (int)$pID);
		$pids->MoveNext();
	    }
	}
	else	//Single item update
	{
	  $pID = array_keys($_POST['update']);
	  $pID = $pID[0];
	  if($_POST['update'][$pID] == 'Update')
	    $updateOne = $db->Execute("UPDATE `".TABLE_PRODUCTS."` SET `products_tariff_country` = '". mysql_real_escape_string($_POST['products_tariff_country'.$pID]) ."', `products_customs` = '". mysql_real_escape_string($_POST['products_customs'.$pID]) ."', products_tariff = '". mysql_real_escape_string($_POST['products_tariff'.$pID]) ."'  WHERE `products_id` = " . (int)$pID);
	}
	zen_redirect('edit_tariffs.php');	
}
else
{
    $countries_array = array(array('id' => '', 'text' => TEXT_NONE));
    $countries = $db->Execute("select countries_id, countries_name from " . TABLE_COUNTRIES . " order by countries_name");
    while (!$countries->EOF) {
      $countries_array[] = array('id' => $countries->fields['countries_id'],
				 'text' => $countries->fields['countries_name']);
      $countries->MoveNext();
    }

$products = $db->Execute('select p.products_id, p.products_tariff, p.products_tariff_country, p.products_customs, pd.products_name as products_name from ' . TABLE_PRODUCTS . ' as p, ' . TABLE_PRODUCTS_DESCRIPTION . ' as pd where p.products_id = pd.products_id ORDER BY products_name');

?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<link rel="stylesheet" type="text/css" href="includes/cssjsmenuhover.css" media="all" id="hoverJS">
<script language="javascript" src="includes/menu.js"></script>
<script language="javascript" src="includes/general.js"></script>
<script type="text/javascript">
<!--
function init()
{
  cssjsmenu('navbar');
  if (document.getElementById)
  {
    var kill = document.getElementById('hoverJS');
    kill.disabled = true;
  }
}
// -->
</script>
</head>
<body onLoad="init()">
<!-- header //-->
<div class="header_area">
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>

</div>
<!-- header_eof //-->

<form action="edit_tariffs.php" method="post">
<table>
<tr>
<td>ID</td>
<td>Name</td>
<td>Tariff</td>
<td>Tariff Description</td>
<td>Country of Origin</td>
<td>Update!</td>
</tr>
    <?php
    while(!$products->EOF)
      {	
	?>
	<tr>
	<td><?php echo $products->fields['products_id']; ?></td>
	<td><?php echo $products->fields['products_name']; ?></td>
	<td>
	<?php echo zen_draw_input_field('products_tariff'.$products->fields['products_id'], stripslashes($products->fields['products_tariff']));	?>
	</td>
	<td>
	<?php 	echo zen_draw_textarea_field('products_customs' . $products->fields['products_id'], 'soft', '45', '6', stripslashes($products->fields['products_customs']));	?>
	</td>
	<td>
	<?php 	echo zen_draw_pull_down_menu('products_tariff_country' . $products->fields['products_id'], $countries_array, $products->fields['products_tariff_country']);	?>
	</td>
	<td>
	<input type="submit" name="update[<?php echo $products->fields['products_id']; ?>]" value="Update" />
	</td>
	</tr>
	<?php
	$products->MoveNext();
      }
?>
<tr>
   <td colspan=5>
   Click this to update everything on this page: <input type="submit" name="update[0]" value="Update All" />
   </td>
   </tr>
</table>
</form>

<!-- footer //-->
<div class="footer-area">
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
</div>
<!-- footer_eof //-->
<br />
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); 

} // end else ?>
